> For the complete documentation index, see [llms.txt](https://developer.redflagalert.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.redflagalert.net/company-resources/profile-loss.md).

# Profit & Loss

### Example URL:

```
https://api2.redflagalert.net/v4/companies/01777777/profit-loss/
```

### JSON Structure:

```javascript
{
	"data": [{
		"attributes": {
			"consolidated": "Y",
			"pre_tax_profit": 2628000000,
			"currency": "GBP",
			"director_renum": 7000000,
			"account_date": "2015-12-31",
			"retained_profit": 2233000000,
			"audit_fee": 1809000,
			"interest_payable": 906000000,
			"non_trading_income": 2295000000,
			"operating_profit": 1239000000,
			"no_weeks": 52,
			"dividends": 260000000,
			"taxation": 120000000,
			"employees": 43550,
			"gross_profit": null,
			"non_audit_fee": 480000,
			"post_tax_profit": 2508000000,
			"value_added": 3034839000,
			"cost_of_sales": null,
			"turnover": 11333000000
		},
		"type": "profit_loss",
		"id": "645323-7696788"
	}]
}
```

### Attributes

| Field Key            | Description                                            | Notes |
| -------------------- | ------------------------------------------------------ | ----- |
| `consolidated`       | Group profit & loss as opposed to individual           |       |
| `pre_tax_profit`     | Profit before tax                                      |       |
| `currency`           | The currency used to prepare the profit & loss account |       |
| `director_renum`     | Amounts paid to directors                              |       |
| `account_date`       | The date of the profit & loss account                  |       |
| `retained_profit`    | The amount of profit retained for the year             |       |
| `audit_fee`          | The fee paid to the auditors                           |       |
| `interest_payable`   | Finance charges                                        |       |
| `non_trading_income` | Income from other sources                              |       |
| `operating_profit`   | Profit from operations                                 |       |
| `no_weeks`           | The number of weeks included in the period             |       |
| `dividends`          | Amounts paid to shareholders                           |       |
| `taxation`           | Amounts due in tax                                     |       |
| `employees`          | The number of employees                                |       |
| `gross_profit`       | The profit after cost of sales                         |       |
| `non_audit_fee`      | Additional professional fees                           |       |
| `post_tax_profit`    | Profits after tax                                      |       |
| `value_added`        | An alternative profit calculation                      |       |
| `cost_of_sales`      | The cost of goods sold                                 |       |
| `turnover`           | The net value of sales, excluding local taxes          |       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company-resources/profile-loss.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
